For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
      • POSTCreates a webhook
      • DELDelete webhook
      • GETGet webhook
      • GETList webhooks
      • PATCHUpdate webhook
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewWebhooks

Update webhook

PATCH
/api/v2/webhooks/:id
PATCH
/api/v2/webhooks/:id
$curl -X PATCH https://app.launchdarkly.com/api/v2/webhooks/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "op": "replace",
> "path": "/on",
> "value": null
> }
>]'
1{
2 "_links": {},
3 "_id": "57be1db38b75bf0772d11384",
4 "url": "http://www.example.com",
5 "on": true,
6 "tags": [
7 "examples"
8 ],
9 "name": "Example hook",
10 "secret": "frobozz",
11 "statements": [
12 {
13 "effect": "allow",
14 "resources": [
15 "proj/*:env/*;qa_*:/flag/*"
16 ],
17 "notResources": [
18 "string"
19 ],
20 "actions": [
21 "*"
22 ],
23 "notActions": [
24 "string"
25 ]
26 }
27 ],
28 "_access": {
29 "denied": [
30 {
31 "action": "string",
32 "reason": {
33 "effect": "allow",
34 "resources": [
35 "proj/*:env/*;qa_*:/flag/*"
36 ],
37 "notResources": [
38 "string"
39 ],
40 "actions": [
41 "*"
42 ],
43 "notActions": [
44 "string"
45 ],
46 "role_name": "string"
47 }
48 }
49 ],
50 "allowed": [
51 {
52 "action": "string",
53 "reason": {
54 "effect": "allow",
55 "resources": [
56 "proj/*:env/*;qa_*:/flag/*"
57 ],
58 "notResources": [
59 "string"
60 ],
61 "actions": [
62 "*"
63 ],
64 "notActions": [
65 "string"
66 ],
67 "role_name": "string"
68 }
69 }
70 ]
71 }
72}
Update a webhook's settings. Updating webhook settings uses a [JSON patch](https://datatracker.ietf.org/doc/html/rfc6902) representation of the desired changes. To learn more, read [Updates](https://launchdarkly.com/docs/api#updates).
Was this page helpful?
Previous

Workflows

Next
Built with

Update a webhook’s settings. Updating webhook settings uses a JSON patch representation of the desired changes. To learn more, read Updates.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequiredformat: "string"
The ID of the webhook to update

Request

This endpoint expects a list of objects.
opstringRequired
The type of operation to perform
pathstringRequired
A JSON Pointer string specifying the part of the document to operate on
valueanyOptional
A JSON value used in "add", "replace", and "test" operations

Response

Webhook response
_linksmap from strings to objects
The location and content type of related resources
_idstring
The ID of this webhook
urlstring
The URL to which LaunchDarkly sends an HTTP POST payload for this webhook
onboolean
Whether or not this webhook is enabled
tagslist of strings
List of tags for this webhook
namestring

A human-readable name for this webhook

secretstring
The secret for this webhook
statementslist of objects
Represents a Custom role policy, defining a resource kinds filter the webhook responds to.
_accessobject
Details on the allowed and denied actions for this webhook

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error